For the complete documentation index, see llms.txt. This page is also available as Markdown.

ContainerImage

Snyk API reference for the ContainerImage endpoints, including request parameters and response schemas

This document uses the REST API. For more details, see the Authentication for API page.

List instances of container image

get

List instances of container image

Required permissions

  • View container images (org.container_image.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Example: f59045b3-f093-40c3-871d-a334ae30c568
Query parameters
image_idsstring · uri[] · max: 100Optional

A comma-separated list of Image IDs

Example: ["sha256:b26f21f90920dba8401e30b89ad803587f81cce9bd1f92750f963556da2f930f","sha256:28984a62eb713aa5fff922ba06e8689f20e4b2f07de30f3d753b868389c0904f"]
platformstring · enumOptional

The image Operating System and processor architecture

Example: linux/amd64Possible values:
namesstring[] · max: 1Optional

The container registry names

Example: ["gcr.io/snyk/redis:5"]
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
Responses
200

Returns a list of container image instances

application/vnd.api+json
get/orgs/{org_id}/container_images
GET /rest/orgs/{org_id}/container_images?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "layers": [
          "sha256:2bd864580926b790a22c8b96fd74496fe87b3c59c0774fe144bab2788e78e676"
        ],
        "names": [
          "gcr.io/snyk/redis:5"
        ],
        "platform": "linux/amd64"
      },
      "id": "sha256:2bd864580926b790a22c8b96fd74496fe87b3c59c0774fe144bab2788e78e676",
      "relationships": {
        "image_target_refs": {
          "links": {
            "self": "https://example.com/api/this_resource"
          }
        }
      },
      "type": "container_image"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Get instance of container image

get

Get instance of container image

Required permissions

  • View container images (org.container_image.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Example: f59045b3-f093-40c3-871d-a334ae30c568
image_idstring · uriRequired

Image ID

Example: sha256:2bd864580926b790a22c8b96fd74496fe87b3c59c0774fe144bab2788e78e676Pattern: ^sha256(:|%3A)[a-f0-9]{64}$
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
200

Returns an instance of container image

application/vnd.api+json
get/orgs/{org_id}/container_images/{image_id}
GET /rest/orgs/{org_id}/container_images/{image_id}?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": {
    "attributes": {
      "layers": [
        "sha256:2bd864580926b790a22c8b96fd74496fe87b3c59c0774fe144bab2788e78e676"
      ],
      "names": [
        "gcr.io/snyk/redis:5"
      ],
      "platform": "linux/amd64"
    },
    "id": "sha256:2bd864580926b790a22c8b96fd74496fe87b3c59c0774fe144bab2788e78e676",
    "relationships": {
      "image_target_refs": {
        "links": {
          "self": "https://example.com/api/this_resource"
        }
      }
    },
    "type": "container_image"
  },
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "self": "https://example.com/api/this_resource"
  }
}

List instances of image target references for a container image

get

List instances of image target references for a container image

Required permissions

  • View container images (org.container_image.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

Example: f59045b3-f093-40c3-871d-a334ae30c568
image_idstring · uriRequired

Image ID

Example: sha256:2bd864580926b790a22c8b96fd74496fe87b3c59c0774fe144bab2788e78e676Pattern: ^sha256(:|%3A)[a-f0-9]{64}$
Query parameters
versionstringRequired

Requested API version

Example: 2026-03-25Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
limitinteger · int32 · min: 10 · max: 100Optional

Number of results to return per page

Default: 10Example: 10
starting_afterstringOptional

Return the page of results immediately after this cursor

Example: v1.eyJpZCI6IjEwMDAifQo=
ending_beforestringOptional

Return the page of results immediately before this cursor

Example: v1.eyJpZCI6IjExMDAifQo=
Responses
200

Returns a list of image target references for a container image

application/vnd.api+json
get/orgs/{org_id}/container_images/{image_id}/relationships/image_target_refs
GET /rest/orgs/{org_id}/container_images/{image_id}/relationships/image_target_refs?version=2026-03-25 HTTP/1.1
Host: api.snyk.io
Authorization: YOUR_API_KEY
Accept: */*
{
  "data": [
    {
      "attributes": {
        "platform": "linux/amd64",
        "target_id": "123e4567-e89b-12d3-a456-426614174000",
        "target_reference": "text"
      },
      "id": "3cd4af4c-fb15-45c4-9acd-8e8fcc6690af",
      "type": "image_target_reference"
    }
  ],
  "jsonapi": {
    "version": "1.0"
  },
  "links": {
    "first": "https://example.com/api/resource?ending_before=v1.eyJpZCI6IjExIn0K",
    "last": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjMwIn0K",
    "next": "https://example.com/api/resource?starting_after=v1.eyJpZCI6IjEwIn0K"
  }
}

Last updated

Was this helpful?